varying vec4 projPos;

uniform sampler2D SceneLight;

void main()
{
  vec2 texScene = projPos.xy / projPos.w * .5 + .5;
  vec4 light = texture2D( SceneLight, texScene );
  vec3 lightColor = (3.0 * light.a + 1.0) * light.rgb; 
  vec3 color = lightColor * gl_Color.rgb;

  gl_FragColor = vec4( color, 1.0 );
}